﻿using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Docx;
using Telerik.Windows.Documents.Model;

namespace HorizontalLineDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }


        internal Table AddHorizontalLine(double widthInches)
        {
            Table t = new Table() { PreferredWidth = new TableWidthUnit(TableWidthUnitType.Fixed, Unit.InchToDip(widthInches)) };
            Telerik.Windows.Documents.Model.Border noBorder = new Telerik.Windows.Documents.Model.Border(BorderStyle.None);
            t.Borders = new TableBorders(noBorder, new Telerik.Windows.Documents.Model.Border(BorderStyle.Single), noBorder, noBorder);
            TableRow row = new TableRow();
            row.Height = 2.0;

            TableCell cell = new TableCell();
            cell.PreferredWidth = new TableWidthUnit(TableWidthUnitType.Percent, 100.0);

            Paragraph par = new Paragraph();
            par.FontSize = 2;

            cell.Blocks.Add(par);
            row.Cells.Add(cell);
            t.Rows.Add(row);

            return t;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            RadDocument document = new RadDocument();
            Telerik.Windows.Documents.Model.Section section = new Section();

            section.Blocks.Add(new Telerik.Windows.Documents.Model.Paragraph());
            section.Blocks.Add(AddHorizontalLine(7.5));
            section.Blocks.Add(new Telerik.Windows.Documents.Model.Paragraph());

            document.Sections.Add(section);

            DocxFormatProvider provider = new DocxFormatProvider();
            SaveFileDialog saveDialog = new SaveFileDialog();
            saveDialog.DefaultExt = ".docx";
            saveDialog.Filter = "Documents|*.docx";
            bool? dialogResult = saveDialog.ShowDialog();
            if (dialogResult == true)
            {
                using (Stream output = saveDialog.OpenFile())
                {
                    provider.Export(document, output);
                }
            }

        }
    }
}
